Removal of support for very old Pushover for Android client apps

As of January 15, 2015, Pushover will no longer support Android devices that are still using extremely old versions (more than 2 years old) of our Pushover client app. These devices will be disabled on our servers and will not be able to receive notifications until they upgrade to a newer version of our Android app and re-register.

For the vast majority of our users, this change will have no effect. Only a few hundred devices are running these old versions of our app (older than version 1.6.2) and will be disabled. If your device is affected, you will receive a Pushover notification letting you know, and you can check your Pushover dashboard to see what version your devices are running.

To clarify, this is not removing support for old versions of Android, just old versions of our app running on any version of Android. Our current app (version 2.2.11) supports Android 5.0 all the way back to Android 2.3 and we will continue to support old versions of Android for as long as we can.

Background

In early versions of Android, Google provided a mechanism for apps like Pushover to receive notifications called C2DM, which Pushover used until Google deprecated it in June 2012. In version 1.6.2 of Pushover for Android we started switching devices to Google’s new notification system called GCM, which the majority of Pushover users are now using. In August 2014 we finally removed all support for C2DM in our Android app and required all new devices to use GCM.

However, a few hundred devices using Pushover still have an extremely old version of our app installed that does not have GCM support, so they are still relying on our servers sending them messages via C2DM.

On January 15, 2015, we will disable these devices on our servers so they will no longer receive Pushover notifications until they upgrade to a newer version of our app and re-register using GCM.

If you have any questions about this change, feel free to contact us.